ranges::views::counted_fn Struct Reference

## Public Member Functions

template<typename I >
| CPP_TEMPLATE_AUX_0 (requires input_or_output_iterator< I > &&(!random_access_iterator< I >)) counted_view< I > operator()(I it
template<typename I >
CPP_TEMPLATE_AUX_0 | s (requires random_access_iterator< I >) sssubrange< I > operator()(I it

## Public Attributes

iter_difference_t< I > n | const
CPP_TEMPLATE_AUX_0 iter_difference_t< I > n | const

## Related Functions

(Note that these are not member functions.)
constexpr counted_fn | counted {}

## Member Data Documentation

## const [1/2]

iter_difference_t<I> n ranges::views::counted_fn::const

Initial value:
{
return {std::move(it), n}
ranges::aux::move
constexpr move_fn move
Definition: move.hpp:52

## const [2/2]

CPP_TEMPLATE_AUX_0 iter_difference_t<I> n ranges::views::counted_fn::const

Initial value:
{
return {it, it + n}